%define internal b-rev5

Name:           clash
Version:        0.4.5
Release:        %mkrel 13
Summary:        A tool for swf authoring
License:        GPLv2
Group:          Graphics/Editors and Converters
Url:            http://geesas.sourceforge.net/clash/
# The original archive is 7zipped
#Source0: http://konsolscript.sourceforge.net/developers/creek23/clash/clash_0.4.5b-rev5_src.tar.7z
# clash is a fork of pencilanimation, the tar file into the
# 7zipped file has the name of the previous project
Source0:        pencilanimation_%{version}%{internal}_src.tar.bz2
Source1:        %{name}.desktop
Patch0:         %{name}-flash_h.patch
Patch1:         %{name}-flash_cpp.patch
Patch2:         clash-0.4.5-mga-fpermissive-beziercurve.cpp.patch
Patch3:         clash-arm-qmax.patch

BuildRequires:  qt4-devel
BuildRequires:  pkgconfig(libming)
BuildRequires:  desktop-file-utils

%ifarch %{ix86}
Requires:       libming1
%endif
%ifarch x86_64
Requires:       lib64ming1
%endif

%description
Clash, a fork of Pencil, is a free software Qt-based SWF animation authoring
program.

%prep
%setup -q -n pencilanimation_%{version}%{internal}_src
%patch0 -p0 -b .%{name}-flash_h.patch
%patch1 -p0 -b .%{name}-flash_cpp.patch
%patch2 -p1 -b .clash-0.4.5-mga-fpermissive-beziercurve.cpp.patch
%patch3 -p1 -b .arm_double_vs_float

%build
%{qmake_qt4} PREFIX=%{_prefix} pencil.pro
%make

%install
%__install -m 755 -D Pencil %{buildroot}%{_bindir}/%{name}
%__install -m 755 -D icons/icon.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%__install -m 755 -D icons/pencil.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%__install -m 755 -D LICENSE.TXT %{buildroot}%{_datadir}/%{name}/LICENSE
%__install -m 644 -D %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_datadir}/%{name}/LICENSE
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.4.5-13.mga8
+ Revision: 1511438
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 0.4.5-12.mga7
+ Revision: 1296575
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.4.5-10.mga6
+ Revision: 940636
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.5-9.mga5
+ Revision: 748057
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.5-8.mga5
+ Revision: 678414
- Mageia 5 Mass Rebuild

* Sat May 03 2014 shlomif <shlomif> 0.4.5-7.mga5
+ Revision: 619876
- correct some typos and convert tabs to spaces

* Sat Oct 19 2013 umeabot <umeabot> 0.4.5-6.mga4
+ Revision: 523207
- Mageia 4 Mass Rebuild

* Sat Mar 30 2013 rtp <rtp> 0.4.5-5.mga3
+ Revision: 406738
- fix usual double vs float issue with qmin/max on arm

* Fri Jan 11 2013 umeabot <umeabot> 0.4.5-4.mga3
+ Revision: 347823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Wed Jan 02 2013 barjac <barjac> 0.4.5-3.mga3
+ Revision: 337746
- update group
- clean spec
- fix build with patch taken from pencil

* Tue Oct 25 2011 matteo <matteo> 0.4.5-2.mga2
+ Revision: 157902
- desktop file fixed; spec file reviewed; release increased for the new build

* Wed Sep 21 2011 matteo <matteo> 0.4.5-1.mga2
+ Revision: 146202
- fixed some rpmlint warn
- added clash desktop file
- added missing group
- removed wrong buildrequire
- imported package clash

